From 263d345cff8f58495ff538356926ebec9f614585 Mon Sep 17 00:00:00 2001
From: Christian Seiler <christian@iwakd.de>
Date: Fri, 4 Mar 2016 17:51:42 +0100
Subject: [PATCH 2/3] setup-testbed: reduce grub timeout on Debian systems.

---
 debian/changelog             | 1 +
 setup-commands/setup-testbed | 4 ++++
 2 files changed, 5 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index dc00b57..28c00c0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -22,6 +22,7 @@ autopkgtest (3.19.4) UNRELEASED; urgency=medium
     /dev/baseimage, for tests that want to run nested QEMU. (Closes: #800845)
   * Support nested KVM by default by emulating a CPU with VMX/SVM support on
     x86_64.
+  * setup-testbed: reduce grub timeout on Debian systems.
 
  -- Martin Pitt <mpitt@debian.org>  Tue, 23 Feb 2016 18:21:51 +0100
 
diff --git a/setup-commands/setup-testbed b/setup-commands/setup-testbed
index b7f586f..2a7dec5 100755
--- a/setup-commands/setup-testbed
+++ b/setup-commands/setup-testbed
@@ -82,6 +82,10 @@ if [ -z "${ADT_IS_SETUP_COMMAND:-}" ] && [ ! -e "$root/etc/default/grub.d/90-aut
             sed -i '/CMDLINE_LINUX_DEFAULT/ s/"$/ console=ttyS0"/' "$root/etc/default/grub"
             changed=1
         fi
+        if ! grep -q GRUB_HIDDEN_TIMEOUT=0 "$root/etc/default/grub" ; then
+            sed -i '/^GRUB_TIMEOUT=/ s/=.*$/=1/' "$root/etc/default/grub"
+            changed=1
+        fi
     fi
     [ -z "${changed:-}" ] || chroot "$root" update-grub || echo "WARNING: update-grub failed!"
 fi
-- 
2.5.0

